
export interface RNG{
  seed?:number ///the random seed
  random():number ///simple 0-1 random function (0 incl, 1 excl)
  range(min:number, max:number):number ///random value from min incl to max excl
  setSeed(seed:number):void ///set a new seed and reset the random chain
}